#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 text-rope
version:              0.2
visibility:           public
id:                   text-rope-0.2-84r9SAwPbjXBRy0TDJReq9
key:                  text-rope-0.2-84r9SAwPbjXBRy0TDJReq9
license:              BSD-3-Clause
copyright:            2021-2022 Andrew Lelechenko
maintainer:           Andrew Lelechenko <andrew.lelechenko@gmail.com>
author:               Andrew Lelechenko <andrew.lelechenko@gmail.com>
homepage:             https://github.com/Bodigrim/text-rope
synopsis:             Text lines and ropes
description:
    A wrapper around `Text` for fast line/column navigation and logarithmic concatenation.

category:             Text
abi:                  edec5b7dc71b4539b1b5a1ef4a62e88c
exposed:              True
exposed-modules:
    Data.Text.Lines Data.Text.Rope Data.Text.Utf16.Lines
    Data.Text.Utf16.Rope Data.Text.Utf16.Rope.Mixed

hidden-modules:       Data.Text.Lines.Internal
import-dirs:          /usr/lib/ghc-9.0.2/site-local/text-rope-0.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/text-rope-0.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-text-rope
hs-libraries:         HStext-rope-0.2-84r9SAwPbjXBRy0TDJReq9
depends:
    base-4.15.1.0 deepseq-1.4.5.0 text-1.2.5.0
    vector-0.13.0.0-HZxUYbi5cfB4SV8TkUpCM2

haddock-interfaces:   /usr/share/doc/haskell-text-rope/html/text-rope.haddock
haddock-html:         /usr/share/doc/haskell-text-rope/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

